/*
 * FILE:
 * database.h
 *
 * FUNCTION:
 * manage database connection info.
 *
 * HISTORY:
 * Linas Vepstas March 2002
 */

#ifndef DUI_DATABASE_H
#define DUI_DATABASE_H

#include <glib-object.h>

#include "dui-initdb.h"
#include "interface.h"

#define DUI_DATABASE_TYPE (dui_database_get_type())
#define DUI_DATABASE(object) (G_TYPE_CHECK_INSTANCE_CAST ((object), DUI_DATABASE_TYPE, DuiDatabase))
#define IS_DUI_DATABASE(object) (G_TYPE_CHECK_INSTANCE_TYPE ((object), DUI_DATABASE_TYPE))

GType dui_database_get_type (void);

DuiDatabase * dui_database_new (const char * name,
                                const char * provider, const char * dbname,
                                const char * hostname, const char * username,
										  const char * authentication_token);

void dui_database_destroy (DuiDatabase *);
DuiDBConnection * dui_database_do_realize (DuiDatabase *);
const char * dui_database_get_name (DuiDatabase *);

		  
#endif /* DUI_DATABASE_H */
